package cn.ecpark.service.usergw.utils;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.boot.test.context.TestComponent;

import cn.ecpark.service.usergw.utils.Extract.GenericServiceBase;

@TestComponent
public class TestExtract {

    @Test
    public void TestParseDubboUri() {
        GenericServiceBase gsb;
        gsb = Extract.GenericServiceBase.Parse("dubbo://application/test/com.a.b:1.0.0");
        Assert.assertNotNull("is Null", gsb);
        Assert.assertEquals(gsb.getApplication(), "application");
        Assert.assertEquals(gsb.getGroup(), "test");
        Assert.assertEquals(gsb.getInterface(), "com.a.b");
        Assert.assertEquals(gsb.getVersion(), "1.0.0");

        gsb = Extract.GenericServiceBase.Parse("dubbo://application/com.a.b:1.0.0");
        Assert.assertNotNull("is Null", gsb);
        Assert.assertEquals(gsb.getApplication(), "application");
        Assert.assertEquals(gsb.getInterface(), "com.a.b");
        Assert.assertEquals(gsb.getVersion(), "1.0.0");
    }

    @Test
    public void TestUriQueryList() {

    }
}